@import 'settings';

$spinner-bg: rgba(200, 200, 200, 0.3);
$spinner-fg: $blue;

@mixin spinner($size: 50px, $border-width: 5px, $bg: $spinner-bg, $fg: $spinner-fg) {
    position: relative;
    text-indent: -9999em;
    border: $border-width solid $bg;
    border-left-color: $fg;
    transform: translateZ(0);
    animation: spin 0.75s infinite linear;

    &,
    &::after {
        border-radius: 50%;
        width: $size;
        height: $size;
    }
}


@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.Spinner__spin {
    @include spinner();
    position: fixed;
    bottom: 30px;
    left: 30px;
}
